> For the complete documentation index, see [llms.txt](https://doc.youverify.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.youverify.co/api-reference-sdk/api-reference/entity-management.md).

# Entity Management

Youverify's Cowork Entity Management API provides a unified interface for creating and managing the individuals and businesses that move through your compliance pipeline. An entity represents any subject either an individual or a business that your team needs to track, verify, or monitor over time.

The API supports five core operations: creating a new entity, retrieving a specific entity by ID, listing all entities in your environment, and initiating verification against three compliance frameworks — Anti-Money Laundering (AML), Know Your Business (KYB), and Know Your Customer (KYC). All requests and responses are in JSON.

### For Quick Access:

{% content-ref url="/pages/wxq3RCiW9nKuhKZkF7K9" %}
[Create Entity](/api-reference-sdk/api-reference/entity-management/create-entity.md)
{% endcontent-ref %}

{% content-ref url="/pages/CXzWdKGAP1Bp7p76kHNt" %}
[Get all Entity](/api-reference-sdk/api-reference/entity-management/get-all-entity.md)
{% endcontent-ref %}

{% content-ref url="/pages/XDjkEWJpgYfefpvARTIs" %}
[Get Entity using ID](/api-reference-sdk/api-reference/entity-management/get-entity-using-id.md)
{% endcontent-ref %}

{% content-ref url="/pages/xseFVqOK2XcCQjQ51SxT" %}
[Verify Entity (AML)](/api-reference-sdk/api-reference/entity-management/verify-entity-aml.md)
{% endcontent-ref %}

{% content-ref url="/pages/x8OJFpSa97zquTcDzq0W" %}
[Verify Entity (KYB)](/api-reference-sdk/api-reference/entity-management/verify-entity-kyb.md)
{% endcontent-ref %}

{% content-ref url="/pages/3xQp9i0OCt1cjCZ9tWYf" %}
[Verify Entity (KYC)](/api-reference-sdk/api-reference/entity-management/verify-entity-kyc.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.youverify.co/api-reference-sdk/api-reference/entity-management.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
